RemoteGymp · API v1
API-reference
Adgang og adfærd
Referenceeksempler er skabeloner. Udskift pladsholdere, og kontroller slutpunktets parametre, tilladelser og skema, før du kører dem. For usikre skriverier, følg det pågældende endepunkts regler for gendannelse og genforsøg.
Kræver et bærertoken og endepunktets tilladelser. Adgang forbliver begrænset til dit legitimationsoplysningers omfang. Tjek egenskaberne, før du bruger enheds- eller administrationshandlinger.
Søgeresultater: 289
Ingen resultater fundet.
-enheder58
GETListe enheder/v1/devices
Gennemse enhedsoversigter én side ad gangen. Følg den næste markør for flere resultater.
GET /v1/devices ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
status
"Online" "Offline" "Busy" "Error" "Uninstalling" "Uninstalled"
parametre
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
after· forespørgsel · valgfri- Fortsættelsesposition fra forrige svar. Udelad for den første side; behold de samme filtre, når du fortsætter.
companyId· forespørgsel · valgfri- Firma-id. En forespørgselsparameter indsnævrer resultaterne til denne virksomhed; det udvider aldrig legitimationsområdet.
siteId· forespørgsel · valgfri- Site-id. En forespørgselsparameter indsnævrer resultaterne til dette websted inden for legitimationsområdet.
status· forespørgsel · valgfri- Filtrer enheder efter deres gemte enhedsstatus.
name· forespørgsel · valgfri- Filtrer efter en enheds- eller softwarenavn i henhold til den ressource, der forespørges på.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Browse device summaries one page at a time. Follow the next cursor for more results.",
"operationId": "get_v1_devices",
"parameters": [
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Company identifier. A query parameter narrows the results to this company; it never expands credential scope.",
"in": "query",
"name": "companyId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Site identifier. A query parameter narrows the results to this site within credential scope.",
"in": "query",
"name": "siteId",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Filter devices by their stored device status.",
"in": "query",
"name": "status",
"schema": {
"enum": [
"Online",
"Offline",
"Busy",
"Error",
"Uninstalling",
"Uninstalled"
],
"type": "string"
}
},
{
"description": "Filter by a device or software name, according to the resource being queried.",
"in": "query",
"name": "name",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PageOfDeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List devices",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå en enhed/v1/devices/{deviceId}
Læs en enheds oversigt ved hjælp af dens ID.
GET /v1/devices/{deviceId} ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read one device's summary using its ID.",
"operationId": "get_v1_devices_deviceId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/DeviceResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a device",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAfinstaller en agent/v1/devices/{deviceId}/agent/uninstall
Vælg, om dens inventarpost skal beholdes. Bekræftelse beviser ikke fjernelse.
POST /v1/devices/{deviceId}/agent/uninstall ↗mcp.cap.EnrollmentManage
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/agent/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Choose whether to retain its inventory entry. Acknowledgement does not prove removal.",
"operationId": "post_v1_devices_deviceId_agent_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall an agent",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}POSTAnnuller en kommando/v1/devices/{deviceId}/commands/{operationId}/cancel
Brug den oprindelige kommandokvittering ejet af denne legitimationsoplysning. Annullering ophæver ikke effekterne.
POST /v1/devices/{deviceId}/commands/{operationId}/cancel ↗mcp.cap.CommandsExecute
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
operationId· sti · påkrævet- Kvitteringsidentifikation på øverste niveau. Poll denne kvittering for at inspicere fremskridt og resultatet.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/commands/<operationId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Use the original command receipt owned by this credential. Cancellation does not undo effects.",
"operationId": "post_v1_devices_deviceId_commands_operationId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Top-level operation receipt identifier. Poll this receipt to inspect progress and the result.",
"in": "path",
"name": "operationId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTScan diskforbrug/v1/devices/{deviceId}/disk-usage
Angiv et scannings-id og valgte volumener. Genbrug id'et for at annullere scanningen.
POST /v1/devices/{deviceId}/disk-usage ↗mcp.cap.DeviceMaintenance
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"operationId": "<UUID>",
"volumeIds": [
"<value>"
]
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationDiskScan"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Scan disk usage",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}POSTAnnuller en diskscanning/v1/devices/{deviceId}/disk-usage/cancel
Angiv et scannings-id og valgte volumener. Genbrug id'et for at annullere scanningen.
POST /v1/devices/{deviceId}/disk-usage/cancel ↗mcp.cap.DeviceMaintenance
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": "<UUID>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Supply a scan identifier and selected volumes. Reuse the identifier to cancel the scan.",
"operationId": "post_v1_devices_deviceId_disk_usage_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfGuid"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a disk scan",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETListe over diskvolumener/v1/devices/{deviceId}/disk-usage/volumes
Læs nuværende slutpunktsdiagnostik inden for legitimationsområde.
GET /v1/devices/{deviceId}/disk-usage/volumes ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/disk-usage/volumes' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_disk_usage_volumes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/DiskUsageVolumeInfoDto"
},
"type": "array"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List disk volumes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLæs gemte hændelseslogresultater/v1/devices/{deviceId}/event-logs
Læs hændelseslogresultater, der allerede er indsamlet for enheden.
GET /v1/devices/{deviceId}/event-logs ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
offset· forespørgsel · valgfri- Antal elementer, der skal springes over, startende ved nul. Fortsæt med at bruge den offset, der returneres af slutpunktet, når det er tilgængeligt.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read event-log results already collected for the device.",
"operationId": "get_v1_devices_deviceId_event_logs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read stored event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLæs live hændelseslogfiler/v1/devices/{deviceId}/event-logs/live
Anmod om hændelseslogoplysninger fra enheden i stedet for kun at stole på lagrede resultater.
GET /v1/devices/{deviceId}/event-logs/live ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
level
"Critical" "Error" "Warning"
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
from· forespørgsel · valgfri- Starttidsstempel for det anmodede tidsinterval. Inkluder en UTC offset.
to· forespørgsel · valgfri- Sluttidsstempel for det anmodede tidsinterval. Inkluder en UTC offset og vælg et tidspunkt efter starten.
level· forespørgsel · valgfri- Filtrer de anmodede hændelseslogfiler efter hændelsesniveau.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/live' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Request event-log information from the device rather than relying only on stored results.",
"operationId": "get_v1_devices_deviceId_event_logs_live",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "Filter the requested event logs by event level.",
"in": "query",
"name": "level",
"schema": {
"enum": [
"Critical",
"Error",
"Warning"
],
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiLiveEventLogs"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read live event logs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSaml hændelseslogresultater/v1/devices/{deviceId}/event-logs/query
Anmod om en afgrænset hændelseslogforespørgsel på enheden, og optag dens resultater til senere læsning.
POST /v1/devices/{deviceId}/event-logs/query ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"channels": [
"<value>"
],
"fromUtc": "<UTC date and time>",
"toUtc": "<UTC date and time>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/event-logs/query' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Request a bounded event-log query on the device and record its results for later reading.",
"operationId": "post_v1_devices_deviceId_event_logs_query",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/EventLogQueryDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationEventLogResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Collect event-log results",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå gemt inventar/v1/devices/{deviceId}/inventory
Læs indsamlede hardware- og sikkerhedsfakta. Manglende værdier er ukendte; dette udløser ikke en ny scanning.
GET /v1/devices/{deviceId}/inventory ↗mcp.cap.InventoryRead
Gemt hardware- og sikkerhedsoversigtsfakta. Nul-værdier er ukendte; tidsstempler etablerer observationsfriskhed. Ingen gendannelsesnøgler, hemmeligt materiale eller enhedskontrolautoritet.
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Stored hardware and security summary facts. Null values are unknown; timestamps establish observation freshness. No recovery keys, secret material or device-control authority.",
"operationId": "get_v1_devices_deviceId_inventory",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/InventoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get stored inventory",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå en opgørelsessektion/v1/devices/{deviceId}/inventory/{section}
Læs en understøttet sektion af enhedens lagrede aktivbeholdning.
GET /v1/devices/{deviceId}/inventory/{section} ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
section· sti · påkrævet- Inventory sektion at læse. Læs manifest først for understøttede sektioner; følg nextOffset for arraysektioner.
offset· forespørgsel · valgfri- Antal elementer, der skal springes over, startende ved nul. Fortsæt med at bruge den offset, der returneres af slutpunktet, når det er tilgængeligt.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/inventory/<section>' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read one supported section of the device's stored asset inventory.",
"operationId": "get_v1_devices_deviceId_inventory_section",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Inventory section to read. Read manifest first for supported sections; follow nextOffset for array sections.",
"in": "path",
"name": "section",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/AssetInventorySection"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get an inventory section",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETListe over jobs i kø/v1/devices/{deviceId}/jobs
Læs ventende og kørende jobs. Manglende jobs beviser ikke succes.
GET /v1/devices/{deviceId}/jobs ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
after· forespørgsel · valgfri- Fortsættelsesposition fra forrige svar. Udelad for den første side; behold de samme filtre, når du fortsætter.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "List queued jobs",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTSæt en offline-kommando i kø/v1/devices/{deviceId}/jobs/command
Sæt arbejde i kø for genforbindelse. Nuværende legitimationsoplysninger og tilladelser kontrolleres igen før udførelse.
POST /v1/devices/{deviceId}/jobs/command ↗mcp.cap.CommandsExecute
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"command": "<value>",
"shell": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/command' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_command",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationQueuedCommand"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an offline command",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.CommandsExecute"
]
}POSTSæt en agent-afinstallation i kø/v1/devices/{deviceId}/jobs/uninstall
Sæt arbejde i kø for genforbindelse. Nuværende legitimationsoplysninger og tilladelser kontrolleres igen før udførelse.
POST /v1/devices/{deviceId}/jobs/uninstall ↗mcp.cap.EnrollmentManage
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Queue work for reconnection. Current credentials and permissions are checked again before execution.",
"operationId": "post_v1_devices_deviceId_jobs_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Queue an agent uninstall",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.EnrollmentManage"
]
}GETLæs et job i kø/v1/devices/{deviceId}/jobs/{jobId}
Læs ventende og kørende jobs. Manglende jobs beviser ikke succes.
GET /v1/devices/{deviceId}/jobs/{jobId} ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
DeviceJobStatus
0 = Pending 1 = Running 2 = Completed 3 = Failed 4 = Cancelled
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
jobId· sti · påkrævet- Identifikator returneret af den tilsvarende ressourceliste eller oprettelsesresultat.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read pending and running jobs. Missing jobs do not prove success.",
"operationId": "get_v1_devices_deviceId_jobs_jobId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationJobView"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAnnuller et job i kø/v1/devices/{deviceId}/jobs/{jobId}/cancel
Annuller kun før jobbet er blevet taget til udførelse.
POST /v1/devices/{deviceId}/jobs/{jobId}/cancel ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
jobId· sti · påkrævet- Identifikator returneret af den tilsvarende ressourceliste eller oprettelsesresultat.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>"
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/jobs/<jobId>/cancel' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Cancel only before the job is claimed for execution.",
"operationId": "post_v1_devices_deviceId_jobs_jobId_cancel",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Identifier returned by the corresponding resource list or creation result.",
"in": "path",
"name": "jobId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationAutomationKey"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Cancel a queued job",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETTjek Linux-beredskab/v1/devices/{deviceId}/linux-readiness
Læs nuværende slutpunktsdiagnostik inden for legitimationsområde.
GET /v1/devices/{deviceId}/linux-readiness ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
LinuxReadinessState
0 = Ready 1 = Warning 2 = Blocked 3 = NotApplicable
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/linux-readiness' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_linux_readiness",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/LinuxReadinessReportDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Linux readiness",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå optaget patch-status/v1/devices/{deviceId}/patches
Læs lagrede patchfakta, manglende opdateringer og fejl. Dette scanner ikke efter eller installerer opdateringer.
GET /v1/devices/{deviceId}/patches ↗mcp.cap.PatchingRead
-skemaer (OpenAPI)
PatchRebootBehavior
0 = Unknown 1 = Never 2 = Always 3 = CanRequest
PatchSeverity
0 = Unknown 1 = Low 2 = Moderate 3 = Important 4 = Critical
PatchUpdateType
0 = Unknown 1 = Software 2 = Driver
PatchComplianceState
0 = Unknown 1 = Compliant 2 = MissingUpdates 3 = ScanFailed 4 = Unsupported
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/patches' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read stored patch facts, missing updates and failures. This does not scan for or install updates.",
"operationId": "get_v1_devices_deviceId_patches",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PatchFactsResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get recorded patch status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.PatchingRead"
]
}GETFå præstationshistorik/v1/devices/{deviceId}/performance
Læs bevarede præstationseksempler i et tidsinterval. Huller betyder, at ingen prøve blev indsamlet.
GET /v1/devices/{deviceId}/performance ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
from· forespørgsel · valgfri- Starttidsstempel for det anmodede tidsinterval. Inkluder en UTC offset.
to· forespørgsel · valgfri- Sluttidsstempel for det anmodede tidsinterval. Inkluder en UTC offset og vælg et tidspunkt efter starten.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/performance' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read retained performance samples for a time range. Gaps mean no sample was collected.",
"operationId": "get_v1_devices_deviceId_performance",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Start timestamp for the requested time range. Include a UTC offset.",
"in": "query",
"name": "from",
"schema": {
"format": "date-time",
"type": "string"
}
},
{
"description": "End timestamp for the requested time range. Include a UTC offset and choose a time after the start.",
"in": "query",
"name": "to",
"schema": {
"format": "date-time",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PerformanceHistoryResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get performance history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETKontroller enhedens forudsætninger/v1/devices/{deviceId}/preflight
Læs lagret enhedskapacitet og parathedsinformation uden at sende en handling.
GET /v1/devices/{deviceId}/preflight ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/preflight' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read stored device capability and readiness information without dispatching an action.",
"operationId": "get_v1_devices_deviceId_preflight",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationDevicePreflightResponse"
}
}
},
"description": "OK"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check device prerequisites",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETLæs kørende processer/v1/devices/{deviceId}/processes
Anmod om procesoplysninger fra en autoriseret enhed.
GET /v1/devices/{deviceId}/processes ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
offset· forespørgsel · valgfri- Antal elementer, der skal springes over, startende ved nul. Fortsæt med at bruge den offset, der returneres af slutpunktet, når det er tilgængeligt.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Request process information from an authorised device.",
"operationId": "get_v1_devices_deviceId_processes",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfProcessInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read running processes",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAfslut en proces/v1/devices/{deviceId}/processes/terminate
Kontroller proces-ID og navn før afslutning. Denne kontrol er ikke atomar ved slutpunktet.
POST /v1/devices/{deviceId}/processes/terminate ↗mcp.cap.InventoryRead + mcp.cap.CommandsExecute
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"expectedName": "<value>",
"processId": 1
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/processes/terminate' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Check the process ID and name before termination. This check is not atomic at the endpoint.",
"operationId": "post_v1_devices_deviceId_processes_terminate",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationKillProcess"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Terminate a process",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead",
"mcp.cap.CommandsExecute"
]
}GETTjek Windows Remote Desktop/v1/devices/{deviceId}/rdp
Læs nuværende slutpunktsdiagnostik inden for legitimationsområde.
GET /v1/devices/{deviceId}/rdp ↗mcp.cap.InventoryRead
-skemaer (OpenAPI)
WindowsRdpState
0 = Unknown 1 = Disabled 2 = Enabled 3 = PolicyBlocked 4 = Unsupported
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read current endpoint diagnostics within credential scope.",
"operationId": "get_v1_devices_deviceId_rdp",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationRdpStatus"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Check Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTAktivér Windows Remote Desktop/v1/devices/{deviceId}/rdp/enable
Aktivér Remote Desktop med eksisterende slutpunktsbeskyttelse.
POST /v1/devices/{deviceId}/rdp/enable ↗mcp.cap.DeviceMaintenance
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": false
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/rdp/enable' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Enable remote desktop with existing endpoint safeguards.",
"operationId": "post_v1_devices_deviceId_rdp_enable",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfboolean"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Enable Windows remote desktop",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.DeviceMaintenance"
]
}GETLæs enhedstjenester/v1/devices/{deviceId}/services
Anmod om serviceoplysninger fra en autoriseret enhed; enhedens tilgængelighed påvirker resultatet.
GET /v1/devices/{deviceId}/services ↗mcp.cap.InventoryRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
offset· forespørgsel · valgfri- Antal elementer, der skal springes over, startende ved nul. Fortsæt med at bruge den offset, der returneres af slutpunktet, når det er tilgængeligt.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/services' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Request service information from an authorised device; device availability affects the result.",
"operationId": "get_v1_devices_deviceId_services",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Number of items to skip, starting at zero. Continue using the offset returned by the endpoint when available.",
"in": "query",
"name": "offset",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiObservedPageOfServiceInfoDto"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read device services",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}GETFå installeret software/v1/devices/{deviceId}/software
Læs gemte softwareobservationer på sider. Dette scanner eller installerer ikke software.
GET /v1/devices/{deviceId}/software ↗mcp.cap.InventoryRead
Kun gemte softwareobservationer, højst 100 pr. side. items null betyder intet gemt snapshot; tomme items betyder en observeret tom liste. Numerisk after er en offset. Genstart en eksport, hvis updatedAtUtc ændres.
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
after· forespørgsel · valgfri- Fortsættelsesposition fra forrige svar. Udelad for den første side; behold de samme filtre, når du fortsætter.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Stored software observations only, at most 100 per page. items null means no stored snapshot; empty items means an observed empty list. Numeric after is an offset. Restart an export if updatedAtUtc changes.",
"operationId": "get_v1_devices_deviceId_software",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SoftwareResponse"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get installed software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.InventoryRead"
]
}POSTInstaller software/v1/devices/{deviceId}/software/install
Anmod om installation af den medfølgende software på en autoriseret enhed og inspicer driftsresultatet.
POST /v1/devices/{deviceId}/software/install ↗mcp.cap.SoftwareManage + mcp.cap.AutomationRead + mcp.cap.AutomationExecute
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"packageVersionId": "<UUID>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/install' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Request installation of the supplied software on an authorised device and inspect the operation result.",
"operationId": "post_v1_devices_deviceId_software_install",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfIntegrationSoftwareInstall"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Install software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage",
"mcp.cap.AutomationRead",
"mcp.cap.AutomationExecute"
]
}POSTAfinstaller software/v1/devices/{deviceId}/software/uninstall
Anmod om fjernelse af udvalgt software fra en autoriseret enhed.
POST /v1/devices/{deviceId}/software/uninstall ↗mcp.cap.SoftwareManage
-skemaer (OpenAPI)
SoftwareKind
0 = ClassicDesktop 1 = PackagedApp
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": {
"identifier": "<value>",
"kind": 0,
"name": "<value>"
}
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/software/uninstall' `
-Headers $headers `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))Anmodnings- og svarskema (OpenAPI)
{
"description": "Request removal of selected software from an authorised device.",
"operationId": "post_v1_devices_deviceId_software_uninstall",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/IntegrationMutationOfSoftwareUninstallRequestDto"
}
}
},
"required": true
},
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/RecoveredOperation"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Uninstall software",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.SoftwareManage"
]
}GETFå status for hastighedstest/v1/devices/{deviceId}/speed-tests
Læs enhedens hastighedsteststatus og tilgængelige resultater.
GET /v1/devices/{deviceId}/speed-tests ↗mcp.cap.NetworkRead
-skemaer (OpenAPI)
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedProfile
0 = Standard 1 = LowBandwidth
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read the device's speed-test status and available results.",
"operationId": "get_v1_devices_deviceId_speed_tests",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedDeviceSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get speed-test status",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETLæs hastighedstesthistorik/v1/devices/{deviceId}/speed-tests/history
Gennemse bevarede hastighedstestresultater for en enhed.
GET /v1/devices/{deviceId}/speed-tests/history ↗mcp.cap.NetworkRead
-skemaer (OpenAPI)
NetworkInternetSpeedRunKind
0 = Scheduled 1 = Manual
NetworkLinkMedium
0 = Unknown 1 = Ethernet 2 = WiFi 3 = Cellular 4 = OtherPhysical
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
after· forespørgsel · valgfri- Fortsættelsesposition fra forrige svar. Udelad for den første side; behold de samme filtre, når du fortsætter.
pageSize· forespørgsel · valgfri- Maksimalt antal genstande, der anmodes om til denne side. Endpoint-specifikke grænser kan reducere sidestørrelsen.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/history' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Browse retained speed-test results for a device.",
"operationId": "get_v1_devices_deviceId_speed_tests_history",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Continuation position from the previous response. Omit for the first page; keep the same filters when continuing.",
"in": "query",
"name": "after",
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Maximum number of items requested for this page. Endpoint-specific limits may reduce the page size.",
"in": "query",
"name": "pageSize",
"schema": {
"format": "int32",
"type": "integer"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedHistoryPage"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Read speed-test history",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}GETFå en hastighedstestkørsel/v1/devices/{deviceId}/speed-tests/{runId}
Læs en registreret hastighedstestkørsel ved hjælp af dens ID.
GET /v1/devices/{deviceId}/speed-tests/{runId} ↗mcp.cap.NetworkRead
-skemaer (OpenAPI)
NetworkInternetSpeedOutcome
0 = Succeeded 1 = Failed 2 = Cancelled 3 = DeferredBusy 4 = ServerConstrained 5 = InterfaceUnavailable
NetworkInternetSpeedRunStatus
0 = Queued 1 = Assigned 2 = Completed 3 = CancelRequested 4 = Cancelled 5 = Failed 6 = Expired
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
runId· sti · påkrævet- Domænekørsels-id returneret af operationsresultatet, ikke operationskvitteringsidentifikatoren.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
}
Invoke-RestMethod -Method GET `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/speed-tests/<runId>' `
-Headers $headersAnmodnings- og svarskema (OpenAPI)
{
"description": "Read one recorded speed-test run using its ID.",
"operationId": "get_v1_devices_deviceId_speed_tests_runId",
"parameters": [
{
"description": "Device identifier returned by the corresponding device list. Managed agents and discovered network devices have different identifiers.",
"in": "path",
"name": "deviceId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
},
{
"description": "Domain run identifier returned by the operation result, not the operation receipt identifier.",
"in": "path",
"name": "runId",
"required": true,
"schema": {
"format": "uuid",
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInternetSpeedRunSummary"
}
}
},
"description": "OK"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Bad Request"
},
"401": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Unauthorized"
},
"403": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Forbidden"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Not Found"
},
"409": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Conflict"
},
"410": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Gone"
},
"413": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Payload Too Large"
},
"429": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Too Many Requests"
},
"503": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
},
"description": "Service Unavailable"
}
},
"security": [
{
"Bearer": []
}
],
"summary": "Get a speed-test run",
"tags": [
"Devices"
],
"x-required-capabilities": [
"mcp.cap.NetworkRead"
]
}POSTOpret en midlertidig administrator/v1/devices/{deviceId}/temporary-admin
Returner legitimationsoplysninger én gang, for op til 24 timer. Gemte kvitteringer indeholder aldrig adgangskoden.
POST /v1/devices/{deviceId}/temporary-admin ↗mcp.cap.CommandsExecute + mcp.cap.SecurityRead
parametre
deviceId· sti · påkrævet- Enheds-id returneret af den tilsvarende enhedsliste. Administrerede agenter og opdagede netværksenheder har forskellige identifikatorer.
Eksempel på anmodning
C#: dotnet new console → Program.cs → dotnet run
$headers = @{
Authorization = "Bearer $env:RG_API_TOKEN"
'Content-Type' = 'application/json'
}
$body = '{
"idempotencyKey": "<value>",
"value": 1
}'
Invoke-RestMethod -Method POST `
-Uri 'https://api.remotegymp.com/v1/devices/<deviceId>/temporary-admin' `
-Headers $headers `
[...]
